package com.kingdee.eas.custom.recuritment;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.custom.recuritment.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ApplicantBeisen extends HRBillBase implements IApplicantBeisen
{
    public ApplicantBeisen()
    {
        super();
        registerInterface(IApplicantBeisen.class, this);
    }
    public ApplicantBeisen(Context ctx)
    {
        super(ctx);
        registerInterface(IApplicantBeisen.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("D413A099");
    }
    private ApplicantBeisenController getController() throws BOSException
    {
        return (ApplicantBeisenController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ApplicantBeisenCollection getApplicantBeisenCollection() throws BOSException
    {
        try {
            return getController().getApplicantBeisenCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ApplicantBeisenCollection getApplicantBeisenCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getApplicantBeisenCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ApplicantBeisenCollection getApplicantBeisenCollection(String oql) throws BOSException
    {
        try {
            return getController().getApplicantBeisenCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ApplicantBeisenInfo getApplicantBeisenInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getApplicantBeisenInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ApplicantBeisenInfo getApplicantBeisenInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getApplicantBeisenInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ApplicantBeisenInfo getApplicantBeisenInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getApplicantBeisenInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}